import { BubbleBatchArray } from 'etali';
import SpanData from './SpanData';
export default class SpanDepot {
    private sourceText;
    spanBatches: BubbleBatchArray<SpanData>;
    constructor(sourceText: string, paddedSpans: SpanData[], batchSize?: number);
    filterSpans(callBackFcn: (value: SpanData, index: number, array: SpanData[]) => any): void;
    replaceWithSpan(newSpan: SpanData): [number, number];
    private spansFromCharRange;
    resetBtwnChars(begChar: number, endChar: number, newBatches: SpanData[][]): void;
    resetBatchesFromContentRange(begIdx: number, endIdx: number, newBatches: SpanData[][]): void;
    resetBatches(begBatchIdx: number, endBatchIdx: number, newBatches: SpanData[][]): void;
}
